> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claim.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Shipment



## OpenAPI

````yaml POST /v2/shipments
openapi: 3.0.1
info:
  title: Seven Senders API
  description: Shipment API for Seven Senders Network
  version: 2.31.0
servers:
  - url: /
security:
  - Bearer: []
paths:
  /v2/shipments:
    post:
      tags:
        - Shipment
      summary: Creates a Shipment resource.
      operationId: postShipmentCollection
      requestBody:
        description: The new Shipment resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Shipment-create'
          application/ld+json:
            schema:
              $ref: '#/components/schemas/Shipment-create'
          text/html:
            schema:
              $ref: '#/components/schemas/Shipment-create'
        required: false
      responses:
        '201':
          description: Shipment resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Shipment-read'
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Shipment-read'
            text/html:
              schema:
                $ref: '#/components/schemas/Shipment-read'
        '400':
          description: Invalid input
          content: {}
        '404':
          description: Resource not found
          content: {}
components:
  schemas:
    Shipment-create:
      required:
        - recipient_address
        - recipient_city
        - recipient_country
        - recipient_first_name
        - recipient_last_name
        - recipient_zip
      type: object
      properties:
        tracking_code:
          type: string
        reference_number:
          type: string
        pickup_point_selected:
          type: boolean
        planned_pickup_datetime:
          type: string
          format: date-time
        comment:
          type: string
        warehouse_address:
          type: string
        warehouse:
          type: string
        shipment_tag:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        recipient_address:
          type: string
        return_parcel:
          type: boolean
        trackable:
          type: boolean
        goods_value_currency:
          pattern: ^[a-zA-Z]{3}$
          type: string
          example: EUR
        recipient_address_details:
          type: string
          description: Only shown in DPD AT labels.
        reference_number_2:
          type: string
          example: reference number 2
        local_delivery:
          type: boolean
        cod_reference:
          type: string
        order_id:
          type: string
        order:
          $ref: '#/components/schemas/Order-create'
        carrier:
          $ref: '#/components/schemas/InnerCarrier-create'
        carrier_service:
          type: string
          example: standard
          enum:
            - standard
            - express
            - other
        recipient_first_name:
          type: string
        recipient_last_name:
          type: string
        recipient_company_name:
          type: string
        recipient_email:
          type: string
        recipient_zip:
          type: string
        recipient_city:
          type: string
        recipient_country:
          type: string
        recipient_phone:
          type: string
        weight:
          type: number
      description: Class Shipment
    Shipment-read:
      required:
        - recipient_address
        - recipient_city
        - recipient_country
        - recipient_first_name
        - recipient_last_name
        - recipient_zip
      type: object
      properties:
        id:
          type: string
        tracking_code:
          type: string
        reference_number:
          type: string
        pickup_point_selected:
          type: boolean
        planned_pickup_datetime:
          type: string
          format: date-time
        comment:
          type: string
        warehouse_address:
          type: string
        warehouse:
          type: string
        shipment_tag:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        recipient_address:
          type: string
        recipient_name:
          type: string
        return_parcel:
          type: boolean
        trackable:
          type: boolean
        goods_value_currency:
          pattern: ^[a-zA-Z]{3}$
          type: string
          example: EUR
        recipient_address_details:
          type: string
          description: Only shown in DPD AT labels.
        reference_number_2:
          type: string
          example: reference number 2
        local_delivery:
          type: boolean
        cod_reference:
          type: string
        order_id:
          type: string
        carrier_tracking_url:
          type: string
        carrier:
          $ref: '#/components/schemas/InnerCarrier-read'
        carrier_service:
          type: string
          example: standard
          enum:
            - standard
            - express
            - other
        recipient_first_name:
          type: string
        recipient_last_name:
          type: string
        recipient_company_name:
          type: string
        recipient_email:
          type: string
        recipient_zip:
          type: string
        recipient_city:
          type: string
        recipient_country:
          type: string
        recipient_phone:
          type: string
        weight:
          type: number
      description: Class Shipment
    Order-create:
      required:
        - order_id
      type: object
      properties:
        order_id:
          type: string
          description: The unique shop order ID. Used as ID for the resource
        order_url:
          type: string
          description: The shop URL (a domain from which the order was created.)
        order_date:
          type: string
          format: date-time
        boarding_complete:
          type: boolean
          description: A flag shows whether all order shipments are created
        language:
          type: string
        order_tags:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        promised_delivery_date:
          type: string
          format: date-time
      description: Class Order
    InnerCarrier-create:
      required:
        - country
        - name
      type: object
      properties:
        name:
          type: string
          example: prime-network
        country:
          type: string
      description: Class Carrier
    InnerCarrier-read:
      required:
        - country
        - name
      type: object
      properties:
        name:
          type: string
          example: prime-network
        country:
          type: string
      description: Class Carrier
  securitySchemes:
    Bearer:
      type: apiKey
      description: "We use JWT Tokens for the authorization. \r\nPlease add an \\'Authorization\\' header for a request. Generate a valid JWT token using user credentials. See Auth - Token section. \r\nThe value should contain the following:  \r\n \\'Bearer GENERATED_TOKEN\\'"
      name: Authorization
      in: header

````